Subject: Re: [lojban] UNIX Logflash?

From: Robin Lee Powell <[email-masked]>
Date: Mon, 29 Jan 2001 22:08:44 -0500

On Mon, Jan 29, 2001 at 09:57:51PM -0500, Robert J. Chassell wrote:
> On Mon, Jan 29, 2001 at 09:25:09PM -0500, Robert J. Chassell wrote:
> [flashcard]
> > The program's author goes on to say:
> > 
> > Then I can use `flashcard' to drill me on this file, either
> > presenting me with the `dutch' field and letting me think of the
> > `english' field, or vice versa. `flashcard' will not check my
> > answers (unless I'm in multiple-choice mode); I must judge if I
> > got the answer right or wrong, and hit `r' or `w' accordingly.
> 
> That seems useless in the extreme. Is it fixable?
> 
> Yes, it is fixable. It would be nice if someone did. All the code is
> in the tar file:
> 
> http://www.rattlesnake.com/lojban/lojban-flashcard.tar.gz
> 
> You have the legal right to copy, study, modify, and redistribute it.
> 
> But I don't think flashcard is bad as is.
> 
> For example, I just ran flashcard and was given this:
> 
> Question (english): wedge, 
> x1 is a wedge [shape/form/tool] of material x2 
> /:/
> 
> Answer (lojban): 
> 
> Press SPC if you know the answer,
> g to give up, or
> k to skip this question.
> 
> 
> So if I do *not* know the answer, I press `g' and it tells me
> the answer: cfine
> 
> However, if I think I do know the answer, I say it outload and then
> press the spacebar. 

At which point it tells you the right answer, yes?

> At that point, Emacs ask you to 
> 
> Press r if you got it right,
> w if you got it wrong, or
> k to skip this question.

AAAaaaaaahhhh.... Yeah, that's rather less sucky than I thought.

-Robin

-- 
http://www.csclub.uwaterloo.ca/~rlpowell/ BTW, I'm male, honest.
Information wants to be free. Too bad most of it is crap. --RLP